Solved:Center of mass

Post here for help on using FreeCAD's graphical user interface (GUI).
Forum rules
and Helpful information
IMPORTANT: Please click here and read this first, before asking for help

Also, be nice to others! Read the FreeCAD code of conduct!
Post Reply
zero2076
Posts: 7
Joined: Tue Jun 28, 2022 7:56 am

Solved:Center of mass

Post by zero2076 »

How can I measure the centre of mass of an item? Can I do it without installing marcos?
Last edited by zero2076 on Mon Jul 04, 2022 3:09 am, edited 1 time in total.
openBrain
Veteran
Posts: 7988
Joined: Fri Nov 09, 2018 5:38 pm

Re: Center of mass

Post by openBrain »

In the Python Console

Code: Select all

App.ActiveDocument.OBJECT_NAME.Shape.CenterOfMass
;)

OBJECT_NAME is given in the status bar when hovering the object in the 3D view.
User avatar
Shalmeneser
Veteran
Posts: 4660
Joined: Wed Dec 23, 2020 12:04 am
Location: Fr

Re: Center of mass

Post by Shalmeneser »

NewJoker
Veteran
Posts: 1148
Joined: Sun Oct 11, 2020 7:49 pm

Re: Center of mass

Post by NewJoker »

There is a macro for that: Macro FCInfo but you can also use the Part CheckGeometry tool and check the Shape Content tab. There you will find the center of mass, among the others.
zero2076
Posts: 7
Joined: Tue Jun 28, 2022 7:56 am

Re: Center of mass

Post by zero2076 »

Thanks!
Post Reply